from PIL import Image
from urllib.request import urlretrieve
from bs4 import BeautifulSoup
import requests
URL = "https://elcomercio.pe/opinion/editorial/editorial-pobres-teoria-frente-amplio-gregorio-santos-pobreza-noticia-515833"
#realizamos la peticion WEB
req = requests.get(URL)
#obtenemos el Status Code
codigo_estatus = req.status_code
# el contenido de la pagina web lo almacenamos a un objeto BeautifulSoup()
html = BeautifulSoup(req.text, "html.parser")
try:
    imageLocation = html.find('div', {'id': 'm4450-4449-4451'}).find('img')['src']
    print(imageLocation)
    #recuperamos la imagen
    urlretrieve (imageLocation, 'logo4.jpg')
    #visualizamos la imagen extraida
    imagen = Image.open("logo4.jpg")
    imagen.show()
except:
    pass
